library mapir_raster;

import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:flutter_map/flutter_map.dart';
import 'package:flutter_map/plugin_api.dart';

class MapirMap extends StatefulWidget {

  final MapOptions options;

  /// Map.ir API_KEY
  final String apiKey;
  final flutterMap;

  MapirMap({
    Key? key,
    required this.apiKey,
    required this.options,
    List<LayerOptions> layers = const [],
    List<LayerOptions> nonRotatedLayers = const [],
    List<Widget> children = const [],
    List<Widget> nonRotatedChildren = const [],
    MapController? mapController,
  }) : flutterMap = FlutterMap(key: key,
      options: options,
      layers: [
        TileLayerOptions(
            wmsOptions: WMSTileLayerOptions(
                baseUrl:
                'https://map.ir/shiveh/xyz/1.0.0/Shiveh:Shiveh@EPSG:3857@png/{z}/{x}/{y}.png?x-api-key=$apiKey',
                crs: const Epsg4326())),
        ...layers
      ],
      nonRotatedLayers: nonRotatedLayers,
      children: children,
      nonRotatedChildren: nonRotatedChildren,
      mapController: mapController), super(key: key);


  @override
  _MapirMapState createState() => _MapirMapState(flutterMap);
}

class _MapirMapState extends State<MapirMap> {

  final flutterMap;

  _MapirMapState(this.flutterMap);

  @override
  Widget build(BuildContext context) {
    return flutterMap;
  }
}
